/* centering */
body {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100vh;
}

input[type=checkbox] {
    visibility: hidden;
    height: 0;
    width: 0;
}

label {
    cursor: pointer;
    width: 200px;
    height: 100px;
    text-indent: -999999px;
    display: block;
    border-radius: 100px;
    background: gray;
    position: relative;
}

label::after {
    content: '';
    position: absolute;
    top: 5px;
    left: 5px;
    height: 90px;
    width: 90px;
    background: white;
    border-radius:90px;
    transition: 0.3s;
}

input:checked + label{
    background: #bada55;
}

input:checked + label::after {
	left: calc(100% - 5px);
	transform: translateX(-100%);
}

.demo {
    background: red;
}